export class ZhOptimizedLibraryComponentLibrary {
  public name(): string {
    return 'ZhOptimizedLibraryComponentLibrary';
  }

  //#region - 4th Gear
  // This will setup the 'importPNPJS.ts' to be bundled into a separate .js file.
  public async dynamicallyImportPNPJS() : Promise<any> {
    const importedPNPJS = await import(
      /* webpackChunkName: "zhoptimizedpnpjslc" */
      './importPNPJS'
    );
    return importedPNPJS.default.returnPNPJS();
  }
  //#endregion 
}
