var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
import { Version } from '@microsoft/sp-core-library';
import { BaseClientSideWebPart, PropertyPaneTextField } from '@microsoft/sp-webpart-base';
import styles from './ZhOptimizedLibraryComponentWpWebPart.module.scss';
import * as strings from 'ZhOptimizedLibraryComponentWpWebPartStrings';
import * as libraryComponent from 'zh-optimized-library-component';
var ZhOptimizedLibraryComponentWpWebPart = /** @class */ (function (_super) {
    __extends(ZhOptimizedLibraryComponentWpWebPart, _super);
    function ZhOptimizedLibraryComponentWpWebPart() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ZhOptimizedLibraryComponentWpWebPart.prototype.render = function () {
        var _this = this;
        this.domElement.innerHTML = "\n    <div class=\"" + styles.zhOptimizedLibraryComponentWp + "\">\n    <div class=\"" + styles.container + "\">\n      <div class=\"" + styles.row + "\">\n        <div class=\"" + styles.column + "\">\n          <span class=\"" + styles.title + "\">Community Contributors</span>\n          <p class=\"" + styles.subTitle + "\">How many contributors would you like to see?\n            <select id=" + styles.communitySelect + " class=\"" + styles.communitySelectStyles + "\">\n              <option value=\"1\">1</option>\n              <option value=\"2\">2</option>\n              <option value=\"3\">3</option>\n              <option value=\"4\">4</option>\n              <option value=\"5\">5</option>\n              <option value=\"6\">6</option>\n              <option value=\"7\">7</option>\n              <option value=\"8\">8</option>\n              <option value=\"9\">9</option>\n              <option value=\"10\">10</option>\n            </select>\n          </p>\n          <a href=\"#\" class=\"" + styles.button + "\">\n            <span class=\"" + styles.label + "\">Retrieve Contributors</span>\n          </a>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div id=\"" + styles.communityContributorsWrapper + "\"></div>";
        var btn = document.getElementsByClassName(styles.button);
        for (var _i = 0, _a = btn; _i < _a.length; _i++) {
            var button = _a[_i];
            button.addEventListener("click", function (e) { return _this.requestListItems(); });
        }
    };
    ZhOptimizedLibraryComponentWpWebPart.prototype.requestListItems = function () {
        return __awaiter(this, void 0, void 0, function () {
            var e, sel, opt, value, expireDate, libCompInstance;
            var _this = this;
            return __generator(this, function (_a) {
                e = (document.getElementById(styles.communitySelect));
                sel = e.selectedIndex;
                opt = e.options[sel];
                value = opt.value;
                expireDate = new Date();
                expireDate.setDate(expireDate.getDate() + 1);
                libCompInstance = new libraryComponent.ZhOptimizedLibraryComponentLibrary();
                libCompInstance.dynamicallyImportPNPJS().then(function (sp) {
                    //#region - set pnpjs context
                    sp.setup({
                        spfxContext: _this.context
                    });
                    //#endregion
                    sp.web.lists.getByTitle("CommunityContributors").items.select('Title', 'Twitter', 'Blog').orderBy('Created', true).top(opt.value)
                        .usingCaching({
                        //expiration: dateAdd(new Date(), "minute", 5),
                        //expiration: (expireDate.setDate(expireDate.getDate() + 1)),
                        //expiration: dateAdd(new Date(), "minute", 20),
                        expiration: expireDate,
                        key: "zhListDataOptimizedLC",
                        storeName: "session" // or "local"
                    })
                        .get().then(function (items) {
                        console.log(items);
                        _this.generateHTML(items);
                    });
                });
                return [2 /*return*/];
            });
        });
    };
    ZhOptimizedLibraryComponentWpWebPart.prototype.generateHTML = function (listItems) {
        var html = '';
        for (var i = 0; i < listItems.length; i++) {
            var contributor = listItems[i];
            console.log(contributor);
            var itemHTML = "\n        <div class=\"" + styles["singleCommunityMember"] + "\">\n          <div class=\"" + styles["communityMemberInner"] + "\">\n            <div class=\"" + styles["communityMemberBiopic"] + "\"> \n              <span>\n                <img src=\"https://avatars.io/twitter/" + contributor.Twitter + "\"/>\n              </span> \n            </div>\n            <div class=\"" + styles["communityMemberSocialDetails"] + "\">\n              <h4 class=\"" + styles["communityMemberSocialDetails-name"] + "\">" + contributor.Title + "</h4>\n              <p class=\"" + styles["communityMemberSocialTwitterWrapper"] + "\"><span>Twitter:</span> <a href=\"https://www.twitter.com/" + contributor.Twitter + "\" target=\"_blank\">@" + contributor.Twitter + "</a></p>\n              <p class=\"" + styles["communityMemberSocialBlogWrapper"] + "\"><span>Blog:</span> <a href=\"" + contributor.Blog + "\" target=\"_blank\">" + contributor.Blog + "</a></p>\n            </div>\n          </div>\n        </div>\n      ";
            html += itemHTML;
        }
        document.getElementById(styles.communityContributorsWrapper).innerHTML = html;
        this.gonePlaid();
        //return html;
    };
    ZhOptimizedLibraryComponentWpWebPart.prototype.gonePlaid = function () {
        var commInnerDiv = document.getElementsByClassName(styles.communityMemberInner);
        console.log(commInnerDiv);
        for (var i = 0; i < commInnerDiv.length; i++) {
            commInnerDiv[i].classList.add('gonePlaid');
            //element.classList.add("mystyle");
        }
    };
    Object.defineProperty(ZhOptimizedLibraryComponentWpWebPart.prototype, "dataVersion", {
        get: function () {
            return Version.parse('1.0');
        },
        enumerable: true,
        configurable: true
    });
    ZhOptimizedLibraryComponentWpWebPart.prototype.getPropertyPaneConfiguration = function () {
        return {
            pages: [
                {
                    header: {
                        description: strings.PropertyPaneDescription
                    },
                    groups: [
                        {
                            groupName: strings.BasicGroupName,
                            groupFields: [
                                PropertyPaneTextField('description', {
                                    label: strings.DescriptionFieldLabel
                                })
                            ]
                        }
                    ]
                }
            ]
        };
    };
    return ZhOptimizedLibraryComponentWpWebPart;
}(BaseClientSideWebPart));
export default ZhOptimizedLibraryComponentWpWebPart;
//# sourceMappingURL=ZhOptimizedLibraryComponentWpWebPart.js.map